Bug 23813 - anaconda traceback, Device or resource busy
anaconda traceback, Device or resource busy
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-11 15:11 EST by Brent Nordquist
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 13:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda traceback (1.06 KB, text/plain)
2001-01-11 15:12 EST, Brent Nordquist
no flags Details

  None (edit)
Description Brent Nordquist 2001-01-11 15:11:35 EST
During a text Local CD-ROM install, received this dialog message partway
through installing packages:

The file /mnt/source/RedHat/RPMS/traceroute-1.4a5-25.i386.rpm cannot be
opened. [...]

Pressed OK, and it appeared to retry it.  But then later, when installing
another RPM, anaconda crashed with the attached traceback.  Machine is a
486DX-100 with 48MB RAM and an IDE CD-ROM drive.
Comment 1 Brent Nordquist 2001-01-11 15:12:31 EST
Created attachment 7445 [details]
Anaconda traceback
Comment 2 Michael Fulbright 2001-01-12 10:25:01 EST
Assigning to a developer.
Comment 3 Erik Troan 2001-01-12 14:15:09 EST
Did you use VC2 for anything? For some reason the installer can't unmount the
first cdrom to eject it.
Comment 4 Brent Nordquist 2001-01-12 14:18:53 EST
What's VC2?  I did a "custom" install and I can provide a list of the options I
checked if that will help.
Comment 5 Erik Troan 2001-01-12 14:25:28 EST
How easily can you reproduce this? (VC 2 is virtual console 2, the Alt-F2
thing)
Comment 6 Glen Foster 2001-01-15 16:46:27 EST
This defect is considered MUST-FIX for Florence Beta-3
Comment 7 Brent Nordquist 2001-01-16 11:17:41 EST
No, I've never switched virtual consoles during Flo beta-2 installs.

With regard to reproducibility, I've tried several times in the past few days,
and it dies in different ways at different places, leading me to believe this
may be hardware.  I haven't been able to reproduce the anaconda traceback.

So, I swapped out the Mitsumi 8X IDE CD-ROM with a newer Mitsumi 32X IDE
CD-ROM.  During my first attempted install, after a few CD swaps, I get "install
exited abnormally -- received signal 11".  It's worth pointing out that a
network-based install went fine on this machine, so I'm suspecting the CD-ROM or
IDE bus as the culprit.

Let me know if there's more information I can give or if there are other things
you want me to try with this hardware setup.
Comment 8 Erik Troan 2001-01-16 13:30:08 EST
This is probably flaky media, but it's hard to know for sure. The sig11 popping
up occasionaly is normally a media or hardware problem though, esp as nobody
else is reporting this.

Note You need to log in before you can comment on or make changes to this bug.